<bugID>940099<Summary>Australis: SDK based add-ons (and possibly others?) return to the navbar after being removed in customize mode</Summary><Description>Nightly 28.0a1 (2013-11-18) on Mac 10.7.5.

My main profile had a bunch of Addons which used the toolbar, so now in Australis, it looks like this
http://dl.dropbox.com/u/10060532/Screenshots/Ixhd.png

I used the customize feature to remove them all. Once I restart, they come back.

Steps to Reproduce
1) Install some addons
2) Restart and note Addon icons next to the Hamburger
3) Click Hamburger &gt; Customize
4) Drag Addon Icons into white pane of the left
5) Click Customize to end customization
6) Restart nightly

Expected:
I should have a nice clean toolbar

Actual:
Nightly forgets these customizations and I'm back to a crufty toolbar next to the hamburger</Description></bugID>